P4_ZERO_STR_SPACE(3)

NAME
p4_zero_str_space - 0$SPACE ( $space.addr -- )

SYNOPSIS

#include <pfe/def-config.h>

FCode p4_zero_str_space(---);

DESCRIPTION

Clear the string buffer, string stack, and string frame stack in the string space starting at space.addr. Any string variables holding strings in the string buffer are left pointing into limbo. This may be executed with the string space in an invalid state, as long as the /$BUF and MAX-#$FRAMES fields of its string space structure are intact. "zero-string-space"

NOTE: This word does not zero fill the string buffer.

AUTHOR

    • David N.Williams (modified by $Author: guidod $)

COPYRIGHT

Copyright (C) 2001-2004, 2006, 2008 David N. Williams